Package net.sf.saxon.trace

## Class ContextStackFrame.FunctionCall

- java.lang.Object
- - net.sf.saxon.trace.ContextStackFrame
  - - net.sf.saxon.trace.ContextStackFrame.FunctionCall

- Enclosing class:
    ContextStackFrame

      public static class ContextStackFrame.FunctionCall
      extends ContextStackFrame

  Subclass of ContextStackFrame representing a call to a user-defined function either in XSLT or XQuery

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.trace.ContextStackFrame

      `ContextStackFrame.ApplyTemplates, ContextStackFrame.BuiltInTemplateRule, ContextStackFrame.CallingApplication, ContextStackFrame.CallTemplate, ContextStackFrame.FunctionCall, ContextStackFrame.VariableEvaluation`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionCall()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `StructuredQName` | `getFunctionName()` | Get the name of the function being called
    `void` | `print​(Logger out)` | Display a representation of the stack frame on the specified output stream
    `void` | `setFunctionName​(StructuredQName functionName)` | Set the name of the function being called

    - ### Methods inherited from class net.sf.saxon.trace.ContextStackFrame

      `getContainer, getContext, getContextItem, getLineNumber, getSystemId, setComponent, setContext, setContextItem, setLocation, showLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionCall

          public FunctionCall()

  - ### Method Detail

    - #### getFunctionName

          public StructuredQName getFunctionName()

      Get the name of the function being called
      Returns:
        the name of the function being called

    - #### setFunctionName

          public void setFunctionName​(StructuredQName functionName)

      Set the name of the function being called
      Parameters:
        `functionName` - the name of the function being called

    - #### print

          public void print​(Logger out)

      Display a representation of the stack frame on the specified output stream
      Specified by:
        `print` in class `ContextStackFrame`
      Parameters:
        `out` - the output stream